IR.AddListener(IR.EVENT_START,0,function()
{
 IR.SetTimeout(500, ShowLicenseInfo) 
});

function ShowLicenseInfo()
{
    IR.Log("Licence info after ONLINE SERVER:"); 
    IR.Log("Licence type "+IR.GetLicenceInfo().Type); //Type of licence: 
    IR.Log("Licence Script "+IR.GetLicenceInfo().Script); //2-way control of Audio-Video: 0- not Pro; 1-Pro  
    IR.Log("Licence QR "+IR.GetLicenceInfo().QR); //0 - обработка QR через камеру запрещено; 1 - обработка QR через камеру разрешено;
    IR.Log("Licence ServerMaxClients "+IR.GetLicenceInfo().ServerMaxClients); //
    IR.Log("Licence ServerMaxTags "+IR.GetLicenceInfo().ServerMaxTags); //
    IR.Log("Licence Serial "+IR.GetLicenceInfo().Serial); //Для device лицензий - HWID из лицензии; Для Site - серийник из лицензии
    IR.Log("Licence Products "+IR.GetLicenceInfo().Products); //Список доступных драйверов
}

function KNXConnect()
{
   IR.Log("KNX Connect");
   IR.GetDevice("KNX").Connect();
   IR.SetVariable("Server.Tags.Status KNX","We try to connect to KNX");
}

function KNXDisconnect()
{
   IR.Log("KNX Disconnect");
   IR.GetDevice("KNX").Disconnect();
   IR.SetVariable("Server.Tags.Status KNX","We try to disconnect from KNX");
}

function KNXSetParameters1()
{
   IR.Log("KNX SetParameters 192.168.0.152");
   IR.GetDevice("KNX").SetParameters({Host: "192.168.0.152", Port: "3671", ConnectTime: "120000", SendTime: "0", PingTime: "60000"});
   IR.SetVariable("Server.Tags.Status KNX","We try to connect to KNX with IP: 192.168.0.152");
}

function KNXSetParameters2()
{
   IR.Log("KNX SetParameters 192.168.0.162");
   IR.GetDevice("KNX").SetParameters({Host: "192.168.0.162", Port: "3671", ConnectTime: "120000", SendTime: "0", PingTime: "60000"});
   IR.SetVariable("Server.Tags.Status KNX","We try to connect to KNX with IP: 192.168.0.162");
}

function KNXSetParameters3()
{                                                                                                                                    
   IR.Log("KNX SetParameters 192.168.0.163");
   IR.GetDevice("KNX").SetParameters({Host: "192.168.0.163", Port: "3671", ConnectTime: "120000", SendTime: "0", PingTime: "60000"});
   IR.SetVariable("Server.Tags.Status KNX","We try to connect to KNX with IP: 192.168.0.163");
}

function KNXSetParameters4()
{
   IR.Log("KNX SetParameters 192.168.0.164");
   IR.GetDevice("KNX").SetParameters({Host: "192.168.0.164", Port: "3671", ConnectTime: "120000", SendTime: "0", PingTime: "60000"});
   IR.SetVariable("Server.Tags.Status KNX","We try to connect to KNX with IP: 192.168.0.164");
}

IR.AddListener(IR.EVENT_ONLINE, IR.GetDevice("KNX"), function(text)
{
IR.Log("KNX is ONLINE");  
});

IR.AddListener(IR.EVENT_OFFLINE, IR.GetDevice("KNX"), function()
{
IR.Log("KNX is OFFLINE");  
});